Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.instance
Interface IScriptStyle

    public interface IScriptStyle

Method Summary
`java.lang.String` | `getBackgroundAttachement()` Deprecated. replaced by getBackgroundAttachment()
`java.lang.String` | `getBackgroundAttachment()` Get the attachment type (either SCROLL or FIXED)
`java.lang.String` | `getBackgroundColor()` Get the background color
`java.lang.String` | `getBackgroundImage()` Get the background image URI
`java.lang.String` | `getBackgroundPositionX()` Get the X (horizontal) position of the background image
`java.lang.String` | `getBackgroundPositionY()` Get the Y (vertical) position of the background image
`java.lang.String` | `getBackgroundRepeat()` Get the background repeat type (valid types are REPEAT, REPEAT_X, REPEAT_Y and NO_REPEAT)
`java.lang.String` | `getBorderBottomColor()` Get the bottom border color
`java.lang.String` | `getBorderBottomStyle()` Get the bottom border style.
`java.lang.String` | `getBorderBottomWidth()` Get the bottom border width.
`java.lang.String` | `getBorderLeftColor()` Get the left border color
`java.lang.String` | `getBorderLeftStyle()` Get the left border style.
`java.lang.String` | `getBorderLeftWidth()` Get the left border width.
`java.lang.String` | `getBorderRightColor()` Get the right border color
`java.lang.String` | `getBorderRightStyle()` Get the right border style.
`java.lang.String` | `getBorderRightWidth()` Get the right border width.
`java.lang.String` | `getBorderTopColor()` Get the top border color
`java.lang.String` | `getBorderTopStyle()` Get the top border style.
`java.lang.String` | `getBorderTopWidth()` Get the top border width.
`java.lang.String` | `getCanShrink()` Can this element shrink?
`java.lang.String` | `getColor()` Get the font color
`java.lang.String` | `getDateFormat()` Get the date format
`java.lang.String` | `getDisplay()` Get the display type (valid types are BLOCK, INLINE and NONE)
`java.lang.String` | `getFontFamily()` Get the font family
`java.lang.String` | `getFontSize()` Get the font size
`java.lang.String` | `getFontStyle()` Get the font style
`java.lang.String` | `getFontVariant()` Get the font variant
`java.lang.String` | `getFontWeight()` Get the font weight
`java.lang.String` | `getLetterSpacing()` Get the letter spacing
`java.lang.String` | `getLineHeight()` Get the line height
`java.lang.String` | `getMarginBottom()` Get the bottom margin
`java.lang.String` | `getMarginLeft()` Get the left margin
`java.lang.String` | `getMarginRight()` Get the right margin
`java.lang.String` | `getMarginTop()` Get the top margin
`java.lang.String` | `getMasterPage()` Get the master page
`java.lang.String` | `getNumberFormat()` Get number format
`java.lang.String` | `getPaddingBottom()` Get the bottom padding.
`java.lang.String` | `getPaddingLeft()` Get the left padding.
`java.lang.String` | `getPaddingRight()` Get the right padding.
`java.lang.String` | `getPaddingTop()` Get the top padding.
`java.lang.String` | `getPageBreakAfter()` Get the page break after.
`java.lang.String` | `getPageBreakBefore()` Get the page break before.
`java.lang.String` | `getPageBreakInside()` Get the page break inside.
`java.lang.String` | `getShowIfBlank()` Show if blank?
`java.lang.String` | `getStringFormat()` Get the string format
`java.lang.String` | `getTextAlign()` Get the text alignment.
`java.lang.String` | `getTextIndent()` Get the text indent
`java.lang.String` | `getTextLineThrough()` Get the text line through
`java.lang.String` | `getTextOverline()` Get the text overline
`java.lang.String` | `getTextTransform()` Get the text transform.
`java.lang.String` | `getTextUnderline()` Get the text underline
`java.lang.String` | `getVerticalAlign()` Get the vertical alignment.
`java.lang.String` | `getVisibleFormat()` Get format to hide in.
`java.lang.String` | `getWhiteSpace()` Get the whitespace.
`java.lang.String` | `getWordSpacing()` Get the word spacing
`void` | `setBackgroundAttachement(java.lang.String attachement)` Deprecated. replaced by setBackgroundAttachment( String attachment )
`void` | `setBackgroundAttachment(java.lang.String attachment)` Set the attachment type (either SCROLL or FIXED)
`void` | `setBackgroundColor(java.lang.String color)` Set the background color
`void` | `setBackgroundImage(java.lang.String imageURI)` Set the background image URI
`void` | `setBackgroundPositionX(java.lang.String x)` Set the X (horizontal) position of the background image
`void` | `setBackgroundPositionY(java.lang.String y)` Set the Y (vertical) position of the background image
`void` | `setBackgroundRepeat(java.lang.String repeat)` Set the background repeat type (valid types are REPEAT, REPEAT_X, REPEAT_Y and NO_REPEAT)
`void` | `setBorderBottomColor(java.lang.String color)` Set the bottom border color
`void` | `setBorderBottomStyle(java.lang.String borderstyle)` Set the bottom border style.
`void` | `setBorderBottomWidth(java.lang.String width)` Set the bottom border width.
`void` | `setBorderLeftColor(java.lang.String color)` Set the left border color
`void` | `setBorderLeftStyle(java.lang.String borderstyle)` Set the left border style.
`void` | `setBorderLeftWidth(java.lang.String width)` Set the left border width.
`void` | `setBorderRightColor(java.lang.String color)` Set the right border color
`void` | `setBorderRightStyle(java.lang.String borderstyle)` Set the right border style.
`void` | `setBorderRightWidth(java.lang.String width)` Set the right border width.
`void` | `setBorderTopColor(java.lang.String color)` Set the top border color
`void` | `setBorderTopStyle(java.lang.String borderstyle)` Set the top border style.
`void` | `setBorderTopWidth(java.lang.String width)` Set the top border width.
`void` | `setCanShrink(java.lang.String canShrink)` Can this element shrink?
`void` | `setColor(java.lang.String color)` Set the font color
`void` | `setDateFormat(java.lang.String dateTimeFormat)` Set the date format
`void` | `setDisplay(java.lang.String display)` Set the display type (valid types are BLOCK, INLINE and NONE)
`void` | `setFontFamily(java.lang.String fontFamily)` Set the font family
`void` | `setFontSize(java.lang.String fontSize)` Set the font size
`void` | `setFontStyle(java.lang.String fontStyle)` Set the font style
`void` | `setFontVariant(java.lang.String fontVariant)` Set the font variant
`void` | `setFontWeight(java.lang.String fontWeight)` Set the font weight
`void` | `setLetterSpacing(java.lang.String spacing)` Set the letter spacing
`void` | `setLineHeight(java.lang.String lineHeight)` Set the line height
`void` | `setMarginBottom(java.lang.String margin)` Set the bottom margin
`void` | `setMarginLeft(java.lang.String margin)` Set the left margin
`void` | `setMarginRight(java.lang.String margin)` Set the right margin
`void` | `setMarginTop(java.lang.String margin)` Set the top margin
`void` | `setMasterPage(java.lang.String masterPage)` Set the master page
`void` | `setNumberFormat(java.lang.String numberFormat)` Set the number format
`void` | `setPaddingBottom(java.lang.String padding)` Set the bottom padding.
`void` | `setPaddingLeft(java.lang.String padding)` Set the left padding.
`void` | `setPaddingRight(java.lang.String padding)` Set the right padding.
`void` | `setPaddingTop(java.lang.String padding)` Set the top padding.
`void` | `setPageBreakAfter(java.lang.String pageBreak)` Set the page break after
`void` | `setPageBreakBefore(java.lang.String pageBreak)` Set the page break before
`void` | `setPageBreakInside(java.lang.String pageBreak)` Set the page break inside
`void` | `setShowIfBlank(java.lang.String showIfBlank)` Set show if blank
`void` | `setStringFormat(java.lang.String stringFormat)` Set the string format
`void` | `setTextAlign(java.lang.String align)` Set the text alignment.
`void` | `setTextIndent(java.lang.String indent)` Set text indent
`void` | `setTextLineThrough(java.lang.String through)` Set the text line through
`void` | `setTextOverline(java.lang.String overline)` Set the text overline
`void` | `setTextTransform(java.lang.String transform)` Set the text transform.
`void` | `setTextUnderline(java.lang.String underline)` Set the text underline
`void` | `setVerticalAlign(java.lang.String valign)` Set the vertical alignment.
`void` | `setVisibleFormat(java.lang.String format)` Set format to hide in.
`void` | `setWhiteSpace(java.lang.String whitespace)` Set the whitespace.
`void` | `setWordSpacing(java.lang.String wordspacing)` Set the word spacing

Method Detail

### getVisibleFormat

    java.lang.String getVisibleFormat()

  Get format to hide in. Should be one of org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_ALL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_VIEWER org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_EMAIL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_PRINT org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_PDF org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_RTF org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_REPORTLET org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_EXCEL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_WORD org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_POWERPOINT

### setVisibleFormat

    void setVisibleFormat(java.lang.String format)

  Set format to hide in. Should be one of org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_ALL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_VIEWER org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_EMAIL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_PRINT org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_PDF org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_RTF org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_REPORTLET org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_EXCEL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_WORD org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_POWERPOINT

  Parameters:
    `format` -

### getLetterSpacing

    java.lang.String getLetterSpacing()

  Get the letter spacing

### setLetterSpacing

    void setLetterSpacing(java.lang.String spacing)

  Set the letter spacing

### getLineHeight

    java.lang.String getLineHeight()

  Get the line height

### setLineHeight

    void setLineHeight(java.lang.String lineHeight)

  Set the line height

### getTextAlign

    java.lang.String getTextAlign()

  Get the text alignment. Valid return types are LEFT, RIGHT, CENTER and JUSTIFY.

### setTextAlign

    void setTextAlign(java.lang.String align)

  Set the text alignment. Valid return types are LEFT, RIGHT, CENTER and JUSTIFY.

### getTextIndent

    java.lang.String getTextIndent()

  Get the text indent

### setTextIndent

    void setTextIndent(java.lang.String indent)

  Set text indent

### getTextTransform

    java.lang.String getTextTransform()

  Get the text transform. Valid return values are NONE, CAPITALIZE, UPPERCASE and LOWERCASE.

### setTextTransform

    void setTextTransform(java.lang.String transform)

  Set the text transform. Valid transform values are NONE, CAPITALIZE, UPPERCASE and LOWERCASE.

### getVerticalAlign

    java.lang.String getVerticalAlign()

  Get the vertical alignment. Valid return values are BASELINE, SUB, SUPER, TOP, TEXT_TOP, MIDDLE, BOTTOM and TEXT_BOTTOM

### setVerticalAlign

    void setVerticalAlign(java.lang.String valign)

  Set the vertical alignment. Valid values are BASELINE, SUB, SUPER, TOP, TEXT_TOP, MIDDLE, BOTTOM and TEXT_BOTTOM

### getWhiteSpace

    java.lang.String getWhiteSpace()

  Get the whitespace. Valid return values are NORMAL, PRE and NOWRAP

### setWhiteSpace

    void setWhiteSpace(java.lang.String whitespace)

  Set the whitespace. The values retruned can be NORMAL, PRE and NOWRAP

### getWordSpacing

    java.lang.String getWordSpacing()

  Get the word spacing

### setWordSpacing

    void setWordSpacing(java.lang.String wordspacing)

  Set the word spacing

### getColor

    java.lang.String getColor()

  Get the font color

### setColor

    void setColor(java.lang.String color)

  Set the font color

### getBackgroundAttachement

    java.lang.String getBackgroundAttachement()

  Deprecated. replaced by getBackgroundAttachment()

  Get the attachement type (either SCROLL or FIXED)

### setBackgroundAttachement

    void setBackgroundAttachement(java.lang.String attachement)

  Deprecated. replaced by setBackgroundAttachment( String attachment )

  Set the attachement type (either SCROLL or FIXED)

### getBackgroundAttachment

    java.lang.String getBackgroundAttachment()

  Get the attachment type (either SCROLL or FIXED)

### setBackgroundAttachment

    void setBackgroundAttachment(java.lang.String attachment)

  Set the attachment type (either SCROLL or FIXED)

### getBackgroundColor

    java.lang.String getBackgroundColor()

  Get the background color

### setBackgroundColor

    void setBackgroundColor(java.lang.String color)

  Set the background color

### getBackgroundImage

    java.lang.String getBackgroundImage()

  Get the background image URI

### setBackgroundImage

    void setBackgroundImage(java.lang.String imageURI)

  Set the background image URI

### getBackgroundRepeat

    java.lang.String getBackgroundRepeat()

  Get the background repeat type (valid types are REPEAT, REPEAT_X, REPEAT_Y and NO_REPEAT)

### setBackgroundRepeat

    void setBackgroundRepeat(java.lang.String repeat)

  Set the background repeat type (valid types are REPEAT, REPEAT_X, REPEAT_Y and NO_REPEAT)

### getBorderBottomColor

    java.lang.String getBorderBottomColor()

  Get the bottom border color

### setBorderBottomColor

    void setBorderBottomColor(java.lang.String color)

  Set the bottom border color

### getBorderTopColor

    java.lang.String getBorderTopColor()

  Get the top border color

### setBorderTopColor

    void setBorderTopColor(java.lang.String color)

  Set the top border color

### getBorderRightColor

    java.lang.String getBorderRightColor()

  Get the right border color

### setBorderRightColor

    void setBorderRightColor(java.lang.String color)

  Set the right border color

### getBorderLeftColor

    java.lang.String getBorderLeftColor()

  Get the left border color

### setBorderLeftColor

    void setBorderLeftColor(java.lang.String color)

  Set the left border color

### getBorderBottomStyle

    java.lang.String getBorderBottomStyle()

  Get the bottom border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

### setBorderBottomStyle

    void setBorderBottomStyle(java.lang.String borderstyle)

  Set the bottom border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

### getBorderTopStyle

    java.lang.String getBorderTopStyle()

  Get the top border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

### setBorderTopStyle

    void setBorderTopStyle(java.lang.String borderstyle)

  Set the top border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

### getBorderLeftStyle

    java.lang.String getBorderLeftStyle()

  Get the left border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

### setBorderLeftStyle

    void setBorderLeftStyle(java.lang.String borderstyle)

  Set the left border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

### getBorderRightStyle

    java.lang.String getBorderRightStyle()

  Get the right border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

### setBorderRightStyle

    void setBorderRightStyle(java.lang.String borderstyle)

  Set the right border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

### getBorderBottomWidth

    java.lang.String getBorderBottomWidth()

  Get the bottom border width.

### setBorderBottomWidth

    void setBorderBottomWidth(java.lang.String width)

  Set the bottom border width.

### getBorderTopWidth

    java.lang.String getBorderTopWidth()

  Get the top border width.

### setBorderTopWidth

    void setBorderTopWidth(java.lang.String width)

  Set the top border width.

### getBorderLeftWidth

    java.lang.String getBorderLeftWidth()

  Get the left border width.

### setBorderLeftWidth

    void setBorderLeftWidth(java.lang.String width)

  Set the left border width.

### getBorderRightWidth

    java.lang.String getBorderRightWidth()

  Get the right border width.

### setBorderRightWidth

    void setBorderRightWidth(java.lang.String width)

  Set the right border width.

### getMarginBottom

    java.lang.String getMarginBottom()

  Get the bottom margin

### setMarginBottom

    void setMarginBottom(java.lang.String margin)

  Set the bottom margin

### getMarginTop

    java.lang.String getMarginTop()

  Get the top margin

### setMarginTop

    void setMarginTop(java.lang.String margin)

  Set the top margin

### getMarginLeft

    java.lang.String getMarginLeft()

  Get the left margin

### setMarginLeft

    void setMarginLeft(java.lang.String margin)

  Set the left margin

### getMarginRight

    java.lang.String getMarginRight()

  Get the right margin

### setMarginRight

    void setMarginRight(java.lang.String margin)

  Set the right margin

### getPaddingBottom

    java.lang.String getPaddingBottom()

  Get the bottom padding.

### setPaddingBottom

    void setPaddingBottom(java.lang.String padding)

  Set the bottom padding.

### getPaddingTop

    java.lang.String getPaddingTop()

  Get the top padding.

### setPaddingTop

    void setPaddingTop(java.lang.String padding)

  Set the top padding.

### getPaddingLeft

    java.lang.String getPaddingLeft()

  Get the left padding.

### setPaddingLeft

    void setPaddingLeft(java.lang.String padding)

  Set the left padding.

### getPaddingRight

    java.lang.String getPaddingRight()

  Get the right padding.

### setPaddingRight

    void setPaddingRight(java.lang.String padding)

  Set the right padding.

### getDisplay

    java.lang.String getDisplay()

  Get the display type (valid types are BLOCK, INLINE and NONE)

### setDisplay

    void setDisplay(java.lang.String display)

  Set the display type (valid types are BLOCK, INLINE and NONE)

### getMasterPage

    java.lang.String getMasterPage()

  Get the master page

### setMasterPage

    void setMasterPage(java.lang.String masterPage)

  Set the master page

### getPageBreakBefore

    java.lang.String getPageBreakBefore()

  Get the page break before.

### setPageBreakBefore

    void setPageBreakBefore(java.lang.String pageBreak)

  Set the page break before

### getPageBreakAfter

    java.lang.String getPageBreakAfter()

  Get the page break after.

### setPageBreakAfter

    void setPageBreakAfter(java.lang.String pageBreak)

  Set the page break after

### getPageBreakInside

    java.lang.String getPageBreakInside()

  Get the page break inside.

### setPageBreakInside

    void setPageBreakInside(java.lang.String pageBreak)

  Set the page break inside

### getShowIfBlank

    java.lang.String getShowIfBlank()

  Show if blank?

### setShowIfBlank

    void setShowIfBlank(java.lang.String showIfBlank)

  Set show if blank

### getCanShrink

    java.lang.String getCanShrink()

  Can this element shrink?

### setCanShrink

    void setCanShrink(java.lang.String canShrink)

  Can this element shrink?

### getNumberFormat

    java.lang.String getNumberFormat()

  Get number format

  Returns:
    the number format

### setNumberFormat

    void setNumberFormat(java.lang.String numberFormat)

  Set the number format

  Parameters:
    `numberFormat` -

### getDateFormat

    java.lang.String getDateFormat()

  Get the date format

  Returns:
    date format

### setDateFormat

    void setDateFormat(java.lang.String dateTimeFormat)

  Set the date format

  Parameters:
    `dateTimeFormat` -

### getStringFormat

    java.lang.String getStringFormat()

  Get the string format

  Returns:
    the string format

### setStringFormat

    void setStringFormat(java.lang.String stringFormat)

  Set the string format

  Parameters:
    `stringFormat` -

### getFontFamily

    java.lang.String getFontFamily()

  Get the font family

### setFontFamily

    void setFontFamily(java.lang.String fontFamily)

  Set the font family

### getFontStyle

    java.lang.String getFontStyle()

  Get the font style

### setFontStyle

    void setFontStyle(java.lang.String fontStyle)

  Set the font style

### getFontVariant

    java.lang.String getFontVariant()

  Get the font variant

### setFontVariant

    void setFontVariant(java.lang.String fontVariant)

  Set the font variant

### getFontWeight

    java.lang.String getFontWeight()

  Get the font weight

### setFontWeight

    void setFontWeight(java.lang.String fontWeight)

  Set the font weight

### getFontSize

    java.lang.String getFontSize()

  Get the font size

### setFontSize

    void setFontSize(java.lang.String fontSize)

  Set the font size

### getTextUnderline

    java.lang.String getTextUnderline()

  Get the text underline

### setTextUnderline

    void setTextUnderline(java.lang.String underline)
                          throws ScriptException

  Set the text underline

  Throws:
    `ScriptException`

### getTextOverline

    java.lang.String getTextOverline()

  Get the text overline

### setTextOverline

    void setTextOverline(java.lang.String overline)
                         throws ScriptException

  Set the text overline

  Throws:
    `ScriptException`

### getTextLineThrough

    java.lang.String getTextLineThrough()

  Get the text line through

### setTextLineThrough

    void setTextLineThrough(java.lang.String through)
                            throws ScriptException

  Set the text line through

  Throws:
    `ScriptException`

### getBackgroundPositionX

    java.lang.String getBackgroundPositionX()

  Get the X (horizontal) position of the background image

### setBackgroundPositionX

    void setBackgroundPositionX(java.lang.String x)
                                throws ScriptException

  Set the X (horizontal) position of the background image

  Throws:
    `ScriptException`

### getBackgroundPositionY

    java.lang.String getBackgroundPositionY()

  Get the Y (vertical) position of the background image

### setBackgroundPositionY

    void setBackgroundPositionY(java.lang.String y)
                                throws ScriptException

  Set the Y (vertical) position of the background image

  Throws:
    `ScriptException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.